[
{
"title": "413 Payload Too Large",
"description": "Request payload is too large."
}
]
[
{
"title": "415 Unsupported Media Type",
"description": "Content-type must be one of: application/json"
}
]
[
{
"title": "422 Unprocessable entity",
"description": "The request body contains some fields with invalid data (e.g. invalid date, invalid enumeration value ..)"
}
]
max connections reached: <limit>
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]
CRUD
Create Employee
Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.
[
{
"title": "413 Payload Too Large",
"description": "Request payload is too large."
}
]
[
{
"title": "415 Unsupported Media Type",
"description": "Content-type must be one of: application/json"
}
]
[
{
"title": "422 Unprocessable entity",
"description": "The request body contains some fields with invalid data (e.g. invalid date, invalid enumeration value ..)"
}
]
max connections reached: <limit>
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]
If strict is enabled, entity creation will fail when a Skill Profile cannot be constructed. If strict is set to false, failed Skill Profile creation will still result in entity creation, but the Skill Profile will be empty.
When set to true, this parameter restores soft-deleted Employees if the tenant has a configured grace period. If additional fields are provided alongside the external_id, the request acts as a restore followed by an update. If the Employee is not soft-deleted, the parameter is ignored and the normal creation flow applies.
Body
application/json
Employee information to submit for processing by the system.
Job title of the Employee's assigned position. Only one of assigned_position or assigned_position_id should be provided upon creation or update. Note that setting assigned_position instead of assigned_position_id does not provide Skill Profile data, as there is no link to a Job entity.
external_id of the Job the Employee is assigned to. Only one of assigned_position or assigned_position_id should be provided upon creation or update. The assigned_position is automatically filled in with the job_name of the Job. Upon update or delete of the Job, the assigned_position is also updated accordingly.
The working history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Working History events.
The education history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Education History events.
List of ISO 639-1 codes for languages spoken by the Employee, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.
List of desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The desired function is only processed and stored when the desired function is recognized by TechWolf AI.
List of non-desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The non-desired function is only processed and stored when the non-desired function is recognized by TechWolf AI.
Either a Location object, containing a latitude and longitude, or either a LocationAddress object, containing a country, city and postal code (A state and street address are optional).
List of base64 encoded documents (e.g. CVs) related to the Employee in PDF (.pdf), Word (.doc or .docx) or plain-text (.txt) format. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Resume Document events.
Show child attributes
Response
No Content
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"TechWolf Developer Portal","colors":{"primary":"#000000","light":"#F5F5F5","dark":"#8997F9"},"logo":{"light":"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=cf37edb6f69a1663ed15c7112643daf9","dark":"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-dark.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=3e2f5e60e21a12eabd092fde29a29434"},"favicon":"https://mintcdn.com/techwolf/O6Ad9BPC00x-v0KV/favicon.svg?fit=max\u0026auto=format\u0026n=O6Ad9BPC00x-v0KV\u0026q=85\u0026s=dc5fac3e8ad4b016d838af70c4f21dc5","api":{"playground":{"display":"none"}},"navbar":{"links":[{"href":"mailto:support@techwolf.ai","label":"Support"}],"primary":{"type":"button","label":"Request a demo","href":"https://techwolf.com/callform"}},"footer":{"socials":{"facebook":"https://www.facebook.com/techwolf.eu","x":"https://x.com/techwolfbe","instagram":"https://www.instagram.com/techwolf.ai?hl=en","linkedin":"https://linkedin.com/company/techwolf"}},"banner":{"content":"TechWolf is building a new documentation platform at [docs.techwolf.ai](https://docs.techwolf.ai).","dismissible":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"techwolf","hasAudioNarration":false,"actualSubdomain":"techwolf","customDomains":["developers.techwolf.ai"],"gitSource":{"type":"gitlab","owner":"techwolfbe/skillengine-api","repo":"skillengine-api-openapi-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"projectId":19681689,"mountPath":"","label":"","_id":"6ae8a1fc0047c384a1924257"},"chroma":{"liveDeploymentHistoryId":"6aeb2f906aaee5c7a9f8251d","collectionId":"1ff4d9fb-e3f1-4d65-ac79-8c78de898e3b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb2f906aaee5c7a9f8251d"},"feedback":{"edits":true,"thumbs":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb2f906aaee5c7a9f8251d","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":253},{"language":"default","tag":"Integrations","count":106},{"language":"default","tag":"Tutorials","count":54},{"language":"default","tag":"CRUD","count":47},{"language":"default","tag":"Employees","count":39},{"language":"default","tag":"Jobs","count":39},{"language":"default","tag":"Entity Sync","count":36},{"language":"default","tag":"Taxonomy","count":35},{"language":"default","tag":"Matchmaking","count":33},{"language":"default","tag":"Export","count":27}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".max-w-8xl{max-width:100vw}th{text-align:left}"}],"page":{"pagePath":"reference/latest/Employees/EmployeeCRUD/post-employees","slug":"/reference/latest/Employees/EmployeeCRUD/post-employees","pageMetadata":{"title":"Create Employee","openapi":"POST /employees","description":"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.","href":"/reference/latest/Employees/EmployeeCRUD/post-employees"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Employee","openapi":"POST /employees","description":"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.","href":"/reference/latest/Employees/EmployeeCRUD/post-employees"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/techwolf/17802b7b2cc53972/snippets/open-source-fetch.js"],"openApiReferenceData":{"operation":{"tags":["EmployeeCRUD"],"summary":"Create Employee","description":"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.","security":["b1fc4d89-4376-47c4-97a8-3f1e8a77a650"],"parameters":["ea4ec243-3568-428f-9d4d-17d3ba6ad983","fdac6507-831d-4f7d-a1b0-3e789cceeeaf","0a683c66-ef8a-4511-8c1c-392c4d6278bd"],"requestBody":"6a4bd9ad-24cd-4633-97bd-ff17b2ab88ce","responses":{"204":"a5c81f31-d79f-4460-a0b1-eb6df3963257","400":"570e2144-3c21-485f-bb52-b9bc1f8f2767","401":"2384e851-def3-4d7d-a474-3a6e29c22a35","403":"7878b59e-12c7-45f1-955e-481b68f7c318","404":"02b61b30-5875-4750-9838-b85878cf12af","405":"e66112d6-ad76-426a-9c42-a4d04a7c4b95","409":"8afffe74-da7b-45d4-9eb0-95bde71f7a35","413":"108cf99d-e45c-47fd-a7df-bab404f28aaf","415":"bb93c982-24f0-4698-b9a3-3fd962a68310","422":"c4a793ff-a1a4-4d03-bfa0-725a0de01d32","429":"65be7abe-5085-475a-aee2-3adde4221814","503":"cb198d0e-41a0-413b-adde-5952c7116d43"},"method":"post","type":"path","servers":["acba2f9f-88d3-4d91-8696-dcb4b0b5070e"],"path":"/employees","baseUrlOptions":["https://{tenant_name}.{region}.techwolf.ai"],"title":"Create Employee","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"ea4ec243-3568-428f-9d4d-17d3ba6ad983":{"in":"query","name":"language","required":true,"schema":{"type":"string","enum":["auto","nl","fr","en","de"],"example":"en","isRequired":true,"description":"The language of the input data, which has an impact on the Skill extraction. `auto` will automatically detect the language used in the provided data.","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The language of the input data, which has an impact on the Skill extraction. `auto` will automatically detect the language used in the provided data."},"fdac6507-831d-4f7d-a1b0-3e789cceeeaf":{"in":"query","name":"strict","schema":{"type":"boolean","default":false,"description":"If strict is enabled, entity creation will fail when a Skill Profile cannot be constructed. If strict is set to false, failed Skill Profile creation will still result in entity creation, but the Skill Profile will be empty.","uniqueKey":"","typeLabel":"boolean"},"description":"If strict is enabled, entity creation will fail when a Skill Profile cannot be constructed. If strict is set to false, failed Skill Profile creation will still result in entity creation, but the Skill Profile will be empty."},"0a683c66-ef8a-4511-8c1c-392c4d6278bd":{"in":"query","name":"restore","schema":{"type":"boolean","default":false,"description":"When set to `true`, this parameter restores soft-deleted Employees if the tenant has a configured grace period. If additional fields are provided alongside the `external_id`, the request acts as a restore followed by an update. If the Employee is not soft-deleted, the parameter is ignored and the normal creation flow applies.","uniqueKey":"","typeLabel":"boolean"},"description":"When set to `true`, this parameter restores soft-deleted Employees if the tenant has a configured grace period. If additional fields are provided alongside the `external_id`, the request acts as a restore followed by an update. If the Employee is not soft-deleted, the parameter is ignored and the normal creation flow applies."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Employee information to submit for processing by the system.","required":["external_id"],"properties":{"external_id":{"type":"string","format":"uuid","minLength":1,"maxLength":100,"example":"a3903505-eb84-42dc-a79f-5e7b1fe897b7","description":"The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.","pattern":"[a-zA-Z0-9_-]+","isRequired":true,"uniqueKey":"external_id","typeLabel":"string\u003cuuid>"},"assigned_position":{"oneOf":[{"type":"string","minLength":1,"maxLength":255,"example":"Python Developer","description":"Job title of the Employee's assigned position. Only one of `assigned_position` or `assigned_position_id` should be provided upon creation or update. Note that setting `assigned_position` instead of `assigned_position_id` does not provide Skill Profile data, as there is no link to a Job entity.","uniqueKey":"assigned_position.oneOf.0","typeLabel":"string"},{"type":"null","minLength":1,"maxLength":255,"example":"Python Developer","description":"Job title of the Employee's assigned position. Only one of `assigned_position` or `assigned_position_id` should be provided upon creation or update. Note that setting `assigned_position` instead of `assigned_position_id` does not provide Skill Profile data, as there is no link to a Job entity.","uniqueKey":"assigned_position.oneOf.1","typeLabel":"null"}],"uniqueKey":"assigned_position","typeLabel":"string | null"},"assigned_position_id":{"type":"string","format":"uuid","minLength":1,"maxLength":100,"example":"b3903505-eb84-42dc-a79f-5e7b1fe897b7","description":"`external_id` of the Job the Employee is assigned to. Only one of `assigned_position` or `assigned_position_id` should be provided upon creation or update. The `assigned_position` is automatically filled in with the `job_name` of the Job. Upon update or delete of the Job, the `assigned_position` is also updated accordingly.","pattern":"[a-zA-Z0-9_-]+","uniqueKey":"assigned_position_id","typeLabel":"string\u003cuuid>"},"active":{"oneOf":[{"type":"boolean","default":true,"example":true,"description":"The Employee will not be used in matching if active is `false`. This is useful when an Employee is being phased out.","uniqueKey":"active.oneOf.0","typeLabel":"boolean"},{"type":"null","default":true,"example":true,"description":"The Employee will not be used in matching if active is `false`. This is useful when an Employee is being phased out.","uniqueKey":"active.oneOf.1","typeLabel":"null"}],"uniqueKey":"active","typeLabel":"boolean | null"},"organisational_unit":{"oneOf":[{"type":"string","description":"The external ID of the Organisational Unit the Employee is assigned to.","maxLength":255,"minLength":1,"pattern":"[a-zA-Z0-9_-]+","example":"e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1","uniqueKey":"organisational_unit.oneOf.0","typeLabel":"string"},{"type":"null","description":"The external ID of the Organisational Unit the Employee is assigned to.","maxLength":255,"minLength":1,"pattern":"[a-zA-Z0-9_-]+","example":"e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1","uniqueKey":"organisational_unit.oneOf.1","typeLabel":"null"}],"uniqueKey":"organisational_unit","typeLabel":"string | null"},"working_history":{"oneOf":[{"description":"The working history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Working History events.","type":"array","items":{"description":"Default structure for work experiences listed for an Employee.","type":"object","required":["job_title"],"properties":{"job_title":{"type":"string","minLength":1,"example":"HR Manager","isRequired":true,"uniqueKey":"working_history.oneOf.0.items.[INDEX].job_title","typeLabel":"string"},"start_date":{"type":"string","description":"Start date of the work experience (IS08601 format).","minLength":1,"format":"date","example":"2018-09-05","uniqueKey":"working_history.oneOf.0.items.[INDEX].start_date","typeLabel":"string\u003cdate>"},"end_date":{"type":"string","description":"End date of the work experience (IS08601 format). Omit the end date if the work experience is still ongoing.","minLength":1,"format":"date","example":"2020-06-17","uniqueKey":"working_history.oneOf.0.items.[INDEX].end_date","typeLabel":"string\u003cdate>"},"company":{"type":"string","minLength":1,"example":"TechWolf BV","uniqueKey":"working_history.oneOf.0.items.[INDEX].company","typeLabel":"string"},"job_description":{"type":"string","minLength":1,"example":"Manage the HR department and perform workforce planning","uniqueKey":"working_history.oneOf.0.items.[INDEX].job_description","typeLabel":"string"}},"uniqueKey":"working_history.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"working_history.oneOf.0","typeLabel":"object[]"},{"description":"The working history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Working History events.","type":"null","items":{"description":"Default structure for work experiences listed for an Employee.","type":"object","required":["job_title"],"properties":{"start_date":{"type":"string","description":"Start date of the work experience (IS08601 format).","minLength":1,"format":"date","example":"2018-09-05"},"end_date":{"type":"string","description":"End date of the work experience (IS08601 format). Omit the end date if the work experience is still ongoing.","minLength":1,"format":"date","example":"2020-06-17"},"company":{"type":"string","minLength":1,"example":"TechWolf BV"},"job_title":{"type":"string","minLength":1,"example":"HR Manager"},"job_description":{"type":"string","minLength":1,"example":"Manage the HR department and perform workforce planning"}}},"uniqueKey":"working_history.oneOf.1","typeLabel":"null"}],"uniqueKey":"working_history","typeLabel":"object[] | null"},"education_history":{"oneOf":[{"description":"The education history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Education History events.","type":"array","items":{"description":"Default structure for education history listed for an Employee.","type":"object","required":["degree_name"],"properties":{"degree_name":{"type":"string","minLength":1,"maxLength":256,"example":"Master in Human Resources Management","isRequired":true,"uniqueKey":"education_history.oneOf.0.items.[INDEX].degree_name","typeLabel":"string"},"start_date":{"type":"string","description":"Start date of the education (IS08601 format).","minLength":1,"format":"date","example":"2016-09-05","uniqueKey":"education_history.oneOf.0.items.[INDEX].start_date","typeLabel":"string\u003cdate>"},"end_date":{"type":"string","description":"End date of the education (IS08601 format). Omit the end date if the education is still ongoing.","minLength":1,"format":"date","example":"2018-09-05","uniqueKey":"education_history.oneOf.0.items.[INDEX].end_date","typeLabel":"string\u003cdate>"},"school":{"type":"string","minLength":1,"maxLength":256,"example":"Harvard University","uniqueKey":"education_history.oneOf.0.items.[INDEX].school","typeLabel":"string"}},"uniqueKey":"education_history.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"education_history.oneOf.0","typeLabel":"object[]"},{"description":"The education history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Education History events.","type":"null","items":{"description":"Default structure for education history listed for an Employee.","type":"object","required":["degree_name"],"properties":{"start_date":{"type":"string","description":"Start date of the education (IS08601 format).","minLength":1,"format":"date","example":"2016-09-05"},"end_date":{"type":"string","description":"End date of the education (IS08601 format). Omit the end date if the education is still ongoing.","minLength":1,"format":"date","example":"2018-09-05"},"school":{"type":"string","minLength":1,"maxLength":256,"example":"Harvard University"},"degree_name":{"type":"string","minLength":1,"maxLength":256,"example":"Master in Human Resources Management"}}},"uniqueKey":"education_history.oneOf.1","typeLabel":"null"}],"uniqueKey":"education_history","typeLabel":"object[] | null"},"languages":{"oneOf":[{"type":"array","items":{"type":"object","required":["language"],"properties":{"language":{"type":"string","minLength":2,"maxLength":2,"example":"nl","isRequired":true,"uniqueKey":"languages.oneOf.0.items.[INDEX].language","typeLabel":"string"},"level":{"type":"integer","minimum":1,"maximum":5,"default":2,"uniqueKey":"languages.oneOf.0.items.[INDEX].level","typeLabel":"integer"}},"uniqueKey":"languages.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"List of ISO 639-1 codes for languages spoken by the Employee, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.","uniqueKey":"languages.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["language"],"properties":{"language":{"type":"string","minLength":2,"maxLength":2,"example":"nl"},"level":{"type":"integer","minimum":1,"maximum":5,"default":2}}},"description":"List of ISO 639-1 codes for languages spoken by the Employee, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.","uniqueKey":"languages.oneOf.1","typeLabel":"null"}],"uniqueKey":"languages","typeLabel":"object[] | null"},"desired_functions":{"oneOf":[{"type":"array","items":{"description":"Default structure for a (non) desired function of an Employee.","type":"object","required":["title","importance"],"properties":{"title":{"type":"string","description":"A function title, can either be a single-line string or free text.","minLength":1,"example":"Business Analyst","isRequired":true,"uniqueKey":"desired_functions.oneOf.0.items.[INDEX].title","typeLabel":"string"},"importance":{"type":"number","format":"float","description":"Importance of the function title.","minimum":0,"maximum":1,"example":0.8,"isRequired":true,"uniqueKey":"desired_functions.oneOf.0.items.[INDEX].importance","typeLabel":"number\u003cfloat>"}},"uniqueKey":"desired_functions.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"List of desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The desired function is only processed and stored when the desired function is recognized by TechWolf AI.","example":[{"title":"Business Analyst","importance":0.5},{"title":"Police Officer","importance":1}],"uniqueKey":"desired_functions.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"description":"Default structure for a (non) desired function of an Employee.","type":"object","required":["title","importance"],"properties":{"title":{"type":"string","description":"A function title, can either be a single-line string or free text.","minLength":1,"example":"Business Analyst"},"importance":{"type":"number","format":"float","description":"Importance of the function title.","minimum":0,"maximum":1,"example":0.8}}},"description":"List of desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The desired function is only processed and stored when the desired function is recognized by TechWolf AI.","example":[{"title":"Business Analyst","importance":0.5},{"title":"Police Officer","importance":1}],"uniqueKey":"desired_functions.oneOf.1","typeLabel":"null"}],"uniqueKey":"desired_functions","typeLabel":"object[] | null"},"non_desired_functions":{"oneOf":[{"type":"array","deprecated":true,"description":"List of non-desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The non-desired function is only processed and stored when the non-desired function is recognized by TechWolf AI.","uniqueKey":"non_desired_functions.oneOf.0","typeLabel":"array"},{"type":"null","deprecated":true,"description":"List of non-desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The non-desired function is only processed and stored when the non-desired function is recognized by TechWolf AI.","uniqueKey":"non_desired_functions.oneOf.1","typeLabel":"null"}],"uniqueKey":"non_desired_functions","typeLabel":"array | null"},"location":{"oneOf":[{"type":"object","title":"Location","description":"Either a `Location` object, containing a latitude and longitude, or either a `LocationAddress` object, containing a country, city and postal code (A state and street address are optional).","required":["lat","lng"],"properties":{"lat":{"type":"number","format":"float","minimum":-90,"maximum":90,"description":"The latitude of the location","example":51.0216707,"isRequired":true,"uniqueKey":"location.oneOf.0.lat","typeLabel":"number\u003cfloat>"},"lng":{"type":"number","format":"float","minimum":-180,"maximum":180,"description":"The longitude of the location","example":3.6887328,"isRequired":true,"uniqueKey":"location.oneOf.0.lng","typeLabel":"number\u003cfloat>"}},"uniqueKey":"location.oneOf.0","typeLabel":"Location · object"},{"type":"object","title":"Address","description":"Either a `Location` object, containing a latitude and longitude, or either a `LocationAddress` object, containing a country, city and postal code (A state and street address are optional).","required":["country","postal_code","city"],"properties":{"country":{"type":"string","minLength":2,"maxLength":2,"description":"Two-letter country code (ISO 3166-1 alpha-2).","example":"BE","isRequired":true,"uniqueKey":"location.oneOf.1.country","typeLabel":"string"},"postal_code":{"type":"string","description":"ZIP or postal code. Not required when `city` is specified.","example":"9000","isRequired":true,"uniqueKey":"location.oneOf.1.postal_code","typeLabel":"string"},"city":{"type":"string","description":"City, district, suburb, town, or village. Not required when `postal_code` is specified.","example":"Ghent","isRequired":true,"uniqueKey":"location.oneOf.1.city","typeLabel":"string"},"state":{"type":"string","description":"State, province, or region.","example":"Flanders","uniqueKey":"location.oneOf.1.state","typeLabel":"string"},"address":{"type":"string","description":"Street name and post office box number.","example":"Overzet 14B","uniqueKey":"location.oneOf.1.address","typeLabel":"string"}},"uniqueKey":"location.oneOf.1","typeLabel":"Address · object"}],"uniqueKey":"location","typeLabel":"Location · object | Address · object"},"employee_documents":{"oneOf":[{"type":"array","description":"List of base64 encoded documents (e.g. CVs) related to the Employee in PDF (.pdf), Word (.doc or .docx) or plain-text (.txt) format. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Resume Document events.","items":{"type":"object","description":"Base64 encoded CV of the Employee in PDF (.pdf), Word (.doc or .docx) or plain-text (.txt) format.","required":["mimeType","base64Content"],"properties":{"mimeType":{"type":"string","enum":["application/pdf","application/msword","application/vnd.openxmlformats-officedocument.wordprocessingml.document","text/plain"],"isRequired":true,"uniqueKey":"employee_documents.oneOf.0.items.[INDEX].mimeType","typeLabel":"enum\u003cstring>"},"base64Content":{"type":"string","format":"byte","minLength":1,"isRequired":true,"uniqueKey":"employee_documents.oneOf.0.items.[INDEX].base64Content","typeLabel":"string\u003cbyte>"}},"example":{"mimeType":"application/pdf","base64Content":"JVBERi0xLjMNCiXi48/TDQoNCjEgMCBvYmoNCjw8DQovVHlwZSAvQ2F0YWxvZw0KL091dGxpbmVzIDIgMCBSDQovUGFnZXMgMyAwIFINCj4+DQplbmRvYmoNCg0KMiAwIG9iag0KPDwNCi9UeXBlIC9PdXRsaW5lcw0KL0NvdW50IDANCj4+DQplbmRvYmoNCg0KMyAwIG9iag0KPDwNCi9UeXBlIC9QYWdlcw0KL0NvdW50IDINCi9LaWRzIFsgNCAwIFIgNiAwIFIgXSANCj4+DQplbmRvYmoNCg0KNCAwIG9iag0KPDwNCi9UeXBlIC9QYWdlDQovUGFyZW50IDMgMCBSDQovUmVzb3VyY2VzIDw8DQovRm9udCA8PA0KL0YxIDkgMCBSIA0KPj4NCi9Qcm9jU2V0IDggMCBSDQo+Pg0KL01lZGlhQm94IFswIDAgNjEyLjAwMDAgNzkyLjAwMDBdDQovQ29udGVudHMgNSAwIFINCj4+DQplbmRvYmoNCg0KNSAwIG9iag0KPDwgL0xlbmd0aCAxMDc0ID4+DQpzdHJlYW0NCjIgSg0KQlQNCjAgMCAwIHJnDQovRjEgMDAyNyBUZg0KNTcuMzc1MCA3MjIuMjgwMCBUZA0KKCBBIFNpbXBsZSBQREYgRmlsZSApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY4OC42MDgwIFRkDQooIFRoaXMgaXMgYSBzbWFsbCBkZW1vbnN0cmF0aW9uIC5wZGYgZmlsZSAtICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNjY0LjcwNDAgVGQNCigganVzdCBmb3IgdXNlIGluIHRoZSBWaXJ0dWFsIE1lY2hhbmljcyB0dXRvcmlhbHMuIE1vcmUgdGV4dC4gQW5kIG1vcmUgKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA2NTIuNzUyMCBUZA0KKCB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDYyOC44NDgwIFRkDQooIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNjE2Ljg5NjAgVGQNCiggdGV4dC4gQW5kIG1vcmUgdGV4dC4gQm9yaW5nLCB6enp6ei4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNjA0Ljk0NDAgVGQNCiggbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDU5Mi45OTIwIFRkDQooIEFuZCBtb3JlIHRleHQuIEFuZCBtb3JlIHRleHQuICkgVGoNCkVUDQpCVA0KL0YxIDAwMTAgVGYNCjY5LjI1MDAgNTY5LjA4ODAgVGQNCiggQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA1NTcuMTM2MCBUZA0KKCB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBFdmVuIG1vcmUuIENvbnRpbnVlZCBvbiBwYWdlIDIgLi4uKSBUag0KRVQNCmVuZHN0cmVhbQ0KZW5kb2JqDQoNCjYgMCBvYmoNCjw8DQovVHlwZSAvUGFnZQ0KL1BhcmVudCAzIDAgUg0KL1Jlc291cmNlcyA8PA0KL0ZvbnQgPDwNCi9GMSA5IDAgUiANCj4+DQovUHJvY1NldCA4IDAgUg0KPj4NCi9NZWRpYUJveCBbMCAwIDYxMi4wMDAwIDc5Mi4wMDAwXQ0KL0NvbnRlbnRzIDcgMCBSDQo+Pg0KZW5kb2JqDQoNCjcgMCBvYmoNCjw8IC9MZW5ndGggNjc2ID4+DQpzdHJlYW0NCjIgSg0KQlQNCjAgMCAwIHJnDQovRjEgMDAyNyBUZg0KNTcuMzc1MCA3MjIuMjgwMCBUZA0KKCBTaW1wbGUgUERGIEZpbGUgMiApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY4OC42MDgwIFRkDQooIC4uLmNvbnRpbnVlZCBmcm9tIHBhZ2UgMS4gWWV0IG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA2NzYuNjU2MCBUZA0KKCBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSB0ZXh0LiBBbmQgbW9yZSApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY2NC43MDQwIFRkDQooIHRleHQuIE9oLCBob3cgYm9yaW5nIHR5cGluZyB0aGlzIHN0dWZmLiBCdXQgbm90IGFzIGJvcmluZyBhcyB3YXRjaGluZyApIFRqDQpFVA0KQlQNCi9GMSAwMDEwIFRmDQo2OS4yNTAwIDY1Mi43NTIwIFRkDQooIHBhaW50IGRyeS4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gQW5kIG1vcmUgdGV4dC4gKSBUag0KRVQNCkJUDQovRjEgMDAxMCBUZg0KNjkuMjUwMCA2NDAuODAwMCBUZA0KKCBCb3JpbmcuICBNb3JlLCBhIGxpdHRsZSBtb3JlIHRleHQuIFRoZSBlbmQsIGFuZCBqdXN0IGFzIHdlbGwuICkgVGoNCkVUDQplbmRzdHJlYW0NCmVuZG9iag0KDQo4IDAgb2JqDQpbL1BERiAvVGV4dF0NCmVuZG9iag0KDQo5IDAgb2JqDQo8PA0KL1R5cGUgL0ZvbnQNCi9TdWJ0eXBlIC9UeXBlMQ0KL05hbWUgL0YxDQovQmFzZUZvbnQgL0hlbHZldGljYQ0KL0VuY29kaW5nIC9XaW5BbnNpRW5jb2RpbmcNCj4+DQplbmRvYmoNCg0KMTAgMCBvYmoNCjw8DQovQ3JlYXRvciAoUmF2ZSBcKGh0dHA6Ly93d3cubmV2cm9uYS5jb20vcmF2ZVwpKQ0KL1Byb2R1Y2VyIChOZXZyb25hIERlc2lnbnMpDQovQ3JlYXRpb25EYXRlIChEOjIwMDYwMzAxMDcyODI2KQ0KPj4NCmVuZG9iag0KDQp4cmVmDQowIDExDQowMDAwMDAwMDAwIDY1NTM1IGYNCjAwMDAwMDAwMTkgMDAwMDAgbg0KMDAwMDAwMDA5MyAwMDAwMCBuDQowMDAwMDAwMTQ3IDAwMDAwIG4NCjAwMDAwMDAyMjIgMDAwMDAgbg0KMDAwMDAwMDM5MCAwMDAwMCBuDQowMDAwMDAxNTIyIDAwMDAwIG4NCjAwMDAwMDE2OTAgMDAwMDAgbg0KMDAwMDAwMjQyMyAwMDAwMCBuDQowMDAwMDAyNDU2IDAwMDAwIG4NCjAwMDAwMDI1NzQgMDAwMDAgbg0KDQp0cmFpbGVyDQo8PA0KL1NpemUgMTENCi9Sb290IDEgMCBSDQovSW5mbyAxMCAwIFINCj4+DQoNCnN0YXJ0eHJlZg0KMjcxNA0KJSVFT0YNCg=="},"uniqueKey":"employee_documents.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"employee_documents.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"List of base64 encoded documents (e.g. CVs) related to the Employee in PDF (.pdf), Word (.doc or .docx) or plain-text (.txt) format. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Resume Document events.","items":{"type":"object","description":"Base64 encoded CV of the Employee in PDF (.pdf), Word (.doc or .docx) or plain-text (.txt) format.","required":["mimeType","base64Content"],"properties":{"mimeType":{"type":"string","enum":["application/pdf","application/msword","application/vnd.openxmlformats-officedocument.wordprocessingml.document","text/plain"]},"base64Content":{"type":"string","format":"byte","minLength":1}},"example":{"mimeType":"application/pdf","base64Content":"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"}},"uniqueKey":"employee_documents.oneOf.1","typeLabel":"null"}],"uniqueKey":"employee_documents","typeLabel":"object[] | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"external_id":"a3903505-eb84-42dc-a79f-5e7b1fe897b7","assigned_position":"Python Developer","assigned_position_id":"b3903505-eb84-42dc-a79f-5e7b1fe897b7","active":true,"organisational_unit":"e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1","working_history":[{"job_title":"HR Manager","start_date":"2018-09-05","end_date":"2020-06-17","company":"TechWolf BV","job_description":"Manage the HR department and perform workforce planning"}],"education_history":[{"degree_name":"Master in Human Resources Management","start_date":"2016-09-05","end_date":"2018-09-05","school":"Harvard University"}],"languages":[{"language":"nl","level":2}],"desired_functions":[{"title":"Business Analyst","importance":0.5},{"title":"Police Officer","importance":1}],"non_desired_functions":"\u003carray>","location":{"lat":51.0216707,"lng":3.6887328},"employee_documents":[{"mimeType":"application/pdf","base64Content":"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"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"a5c81f31-d79f-4460-a0b1-eb6df3963257":{"description":"No Content","headers":{"Location":{"description":"The URI of the created Employee. Please note that this is a different field from the geographic location of the Employee.","schema":{"type":"string","format":"uri"}}},"content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"570e2144-3c21-485f-bb52-b9bc1f8f2767":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Bad Request","example":[{"title":"400 Bad Request","description":"The request body was not structured correctly."}],"properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"oneOf.0.title","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"Description of the error.","uniqueKey":"oneOf.0.description.oneOf.0","typeLabel":"string"},{"type":"object","description":"Description of the error.","uniqueKey":"oneOf.0.description.oneOf.1","typeLabel":"object"},{"type":"array","items":{"type":"string","description":"Description of the error.","uniqueKey":"oneOf.0.description.oneOf.2.items.[INDEX]","typeLabel":"string"},"description":"Description of the error.","uniqueKey":"oneOf.0.description.oneOf.2","typeLabel":"string[]"}],"uniqueKey":"oneOf.0.description","typeLabel":"string | object | string[]"}},"uniqueKey":"oneOf.0","typeLabel":"Bad Request · object"},{"type":"object","title":"Entity Limit","example":[{"title":"400 Bad Request","description":"Creation has failed because you've reached the entity limit 100. You need to delete other entities to be able to create more."}],"properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"oneOf.1.title","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"Description of the error.","uniqueKey":"oneOf.1.description.oneOf.0","typeLabel":"string"},{"type":"object","description":"Description of the error.","uniqueKey":"oneOf.1.description.oneOf.1","typeLabel":"object"},{"type":"array","items":{"type":"string","description":"Description of the error.","uniqueKey":"oneOf.1.description.oneOf.2.items.[INDEX]","typeLabel":"string"},"description":"Description of the error.","uniqueKey":"oneOf.1.description.oneOf.2","typeLabel":"string[]"}],"uniqueKey":"oneOf.1.description","typeLabel":"string | object | string[]"}},"uniqueKey":"oneOf.1","typeLabel":"Entity Limit · object"}],"uniqueKey":"","typeLabel":"Bad Request · object | Entity Limit · object"},"examples":{"Example":{"title":"Example","value":[{"title":"400 Bad Request","description":"The request body was not structured correctly."}]}},"exampleType":"generated"}},"exampleType":"generated"},"2384e851-def3-4d7d-a474-3a6e29c22a35":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"401 Unauthorized","description":"OAuth access token is missing, invalid or expired."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"401 Unauthorized","description":"OAuth access token is missing, invalid or expired."}]}},"exampleType":"generated"}},"exampleType":"generated"},"7878b59e-12c7-45f1-955e-481b68f7c318":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"403 Forbidden","description":"You don't have access to this resource."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"403 Forbidden","description":"You don't have access to this resource."}]}},"exampleType":"generated"}},"exampleType":"generated"},"02b61b30-5875-4750-9838-b85878cf12af":{"description":"Not Found","content":{"application/json":{"schema":{"title":"Organisational Unit Not Found","type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"404 Not Found","description":"Unknown organisational_unit for this resource. This Organisational Unit does not exist yet."}],"uniqueKey":"","typeLabel":"Organisational Unit Not Found · object"},"examples":{"Example":{"title":"Example","value":[{"title":"404 Not Found","description":"Unknown organisational_unit for this resource. This Organisational Unit does not exist yet."}]}},"exampleType":"generated"}},"exampleType":"generated"},"e66112d6-ad76-426a-9c42-a4d04a7c4b95":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"405 Method Not Allowed","description":"This method is not allowed for the requested URL."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"405 Method Not Allowed","description":"This method is not allowed for the requested URL."}]}},"exampleType":"generated"}},"exampleType":"generated"},"8afffe74-da7b-45d4-9eb0-95bde71f7a35":{"description":"Conflict","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"409 Conflict","description":"The resource already exists."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"409 Conflict","description":"The resource already exists."}]}},"exampleType":"generated"}},"exampleType":"generated"},"108cf99d-e45c-47fd-a7df-bab404f28aaf":{"description":"Payload Too Large","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"413 Payload Too Large","description":"Request payload is too large."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"413 Payload Too Large","description":"Request payload is too large."}]}},"exampleType":"generated"}},"exampleType":"generated"},"bb93c982-24f0-4698-b9a3-3fd962a68310":{"description":"Unsupported Media Type","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"415 Unsupported Media Type","description":"Content-type must be one of: application/json"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"415 Unsupported Media Type","description":"Content-type must be one of: application/json"}]}},"exampleType":"generated"}},"exampleType":"generated"},"c4a793ff-a1a4-4d03-bfa0-725a0de01d32":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"422 Unprocessable entity","description":"The request body contains some fields with invalid data (e.g. invalid date, invalid enumeration value ..)"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"422 Unprocessable entity","description":"The request body contains some fields with invalid data (e.g. invalid date, invalid enumeration value ..)"}]}},"exampleType":"generated"}},"exampleType":"generated"},"65be7abe-5085-475a-aee2-3adde4221814":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"type":"string","example":"max connections reached: \u003climit>","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"max connections reached: \u003climit>"}},"exampleType":"generated"}},"exampleType":"generated"},"cb198d0e-41a0-413b-adde-5952c7116d43":{"description":"Service Unavailable","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"503 Service Unavailable","description":"The Skill Engine API is currently not available. Please contact TechWolf or try again later."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"503 Service Unavailable","description":"The Skill Engine API is currently not available. Please contact TechWolf or try again later."}]}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"b1fc4d89-4376-47c4-97a8-3f1e8a77a650":{"application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://techwolf.eu.auth0.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources","read_reports":"allows reading reports"}}},"scopes":["write"],"schemeName":"application"}}},"servers":{"acba2f9f-88d3-4d91-8696-dcb4b0b5070e":{"description":"Skill Engine API","url":"https://{tenant_name}.{region}.techwolf.ai","variables":{"tenant_name":{"default":"tenant_name"},"region":{"default":"eu3","enum":["eu3","us3"]}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://techwolf.eu.auth0.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources","read_reports":"allows reading reports"}}},"scopes":["write"],"schemeName":"application"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"application","name":"Authorization"}],"title":"application"}]},"originalFileLocation":"reference/openapi.json"},"subdomain":"techwolf","siteName":"TechWolf Developer Portal","title":"Create Employee - TechWolf Developer Portal","navMaps":{"firstHrefInVersion":{"latest":{"href":"/reference/latest/Employees/EmployeeCRUD/post-employees","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-01-28T13:20:46.503Z","originalFileLocation":"reference/latest/Employees/EmployeeCRUD/post-employees.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.\">\u003cmeta data-mint-head name=\"application-name\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Employee - TechWolf Developer Portal\">\u003cmeta data-mint-head property=\"og:description\" content=\"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://techwolf.mintlify.site/_mintlify/api/og/v2?division=CRUD\u0026amp;title=Create+Employee\u0026amp;description=Submit+new+Employee+information+to+initialise+their+Skill+Profile+inside+the+Skill+Engine+API.\u0026amp;theme=85ae84f5920bc5282ea03928\u0026amp;signature=f70949cb50c31ae64d6763ba2537e89579619db752d07f9ac9e1216644365cb0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Employee - TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://techwolf.mintlify.site/_mintlify/api/og/v2?division=CRUD\u0026amp;title=Create+Employee\u0026amp;description=Submit+new+Employee+information+to+initialise+their+Skill+Profile+inside+the+Skill+Engine+API.\u0026amp;theme=85ae84f5920bc5282ea03928\u0026amp;signature=f70949cb50c31ae64d6763ba2537e89579619db752d07f9ac9e1216644365cb0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/latest/Employees/EmployeeCRUD/post-employees.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.techwolf.ai/#organization\",\"name\":\"TechWolf Developer Portal\",\"url\":\"https://developers.techwolf.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=cf37edb6f69a1663ed15c7112643daf9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.techwolf.ai#website\",\"name\":\"TechWolf Developer Portal\",\"url\":\"https://developers.techwolf.ai\",\"publisher\":{\"@id\":\"https://developers.techwolf.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees#webpage\",\"url\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees\",\"name\":\"Create Employee\",\"description\":\"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.\",\"dateModified\":\"2026-01-28T13:20:46.503Z\",\"isPartOf\":{\"@id\":\"https://developers.techwolf.ai#website\"},\"breadcrumb\":{\"@id\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Employees\",\"item\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"CRUD\",\"item\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Employee\",\"item\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees#apireference\",\"headline\":\"Create Employee\",\"name\":\"Create Employee\",\"description\":\"Submit new Employee information to initialise their Skill Profile inside the Skill Engine API.\",\"url\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees\",\"mainEntityOfPage\":{\"@id\":\"https://developers.techwolf.ai/reference/latest/Employees/EmployeeCRUD/post-employees#webpage\"},\"dateModified\":\"2026-01-28T13:20:46.503Z\",\"publisher\":{\"@id\":\"https://developers.techwolf.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.techwolf.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"TechWolf Developer Portal\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"TechWolf Developer Portal","nav":{"global":null,"versions":[{"version":"latest","default":true,"tabs":[{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/reference/latest/API Documentation/Introduction/Introduction"},{"title":"Authentication","href":"/reference/latest/API Documentation/Authentication/Authentication"}]},{"group":"API Versioning","pages":[{"title":"Versioning Overview","href":"/reference/latest/API Versioning/Versioning Overview/Versioning Overview"},{"title":"Breaking Changes","href":"/reference/latest/API Versioning/Breaking Changes/Breaking Changes"},{"title":"Deprecations","href":"/reference/latest/API Versioning/Deprecations/Deprecations"},{"title":"Compatible Changes","href":"/reference/latest/API Versioning/Compatible Changes/Compatible Changes"}]},{"group":"AI Integration","pages":[{"title":"AI Integration","href":"/reference/ai-integration"}]},{"group":"Taxonomy","pages":[{"group":"Domains","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomyDomains/overview"},{"title":"List Domains","openapi":"GET /taxonomy/domains","href":"/reference/latest/Taxonomy/TaxonomyDomains/get-taxonomy-domains"},{"title":"Create Domain","openapi":"POST /taxonomy/domains","href":"/reference/latest/Taxonomy/TaxonomyDomains/post-taxonomy-domains"},{"title":"Get Domain","openapi":"GET /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/get-taxonomy-domains-domain-external-id"},{"title":"Update Domain","openapi":"PATCH /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/patch-taxonomy-domains-domain-external-id"},{"title":"Delete Domain","openapi":"DELETE /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/delete-taxonomy-domains-domain-external-id"}]},{"group":"Subdomains","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySubdomains/overview"},{"title":"List Subdomains","openapi":"GET /taxonomy/subdomains","href":"/reference/latest/Taxonomy/TaxonomySubdomains/get-taxonomy-subdomains"},{"title":"Create Subdomain","openapi":"POST /taxonomy/subdomains","href":"/reference/latest/Taxonomy/TaxonomySubdomains/post-taxonomy-subdomains"},{"title":"Get Subdomain","openapi":"GET /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/get-taxonomy-subdomains-subdomain-external-id"},{"title":"Update Subdomain","openapi":"PATCH /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/patch-taxonomy-subdomains-subdomain-external-id"},{"title":"Delete Subdomain","openapi":"DELETE /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/delete-taxonomy-subdomains-subdomain-external-id"}]},{"group":"Skill Clusters","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/overview"},{"title":"List Skill Clusters","openapi":"GET /taxonomy/skill_clusters","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters"},{"title":"Create Skill Cluster","openapi":"POST /taxonomy/skill_clusters","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/post-taxonomy-skill-clusters"},{"title":"Get Skill Cluster","openapi":"GET /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"Update Skill Cluster","openapi":"PATCH /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/patch-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"Delete Skill Cluster","openapi":"DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/delete-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"List Skills","openapi":"GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters-skill-cluster-external-id-skills"},{"title":"Add Skill","openapi":"PUT /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/put-taxonomy-skill-clusters-skill-cluster-external-id-skills-skill-id"},{"title":"Remove Skill","openapi":"DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/delete-taxonomy-skill-clusters-skill-cluster-external-id-skills-skill-id"}]},{"group":"Skills","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySkills/overview"},{"title":"List Skills","openapi":"GET /taxonomy/skills","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills"},{"title":"Create Skill","openapi":"POST /taxonomy/skills","href":"/reference/latest/Taxonomy/TaxonomySkills/post-taxonomy-skills"},{"title":"List available Skill languages","openapi":"GET /taxonomy/skills/languages","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills-languages"},{"title":"Get Skill","openapi":"GET /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills-skill-id"},{"title":"Delete Skill","openapi":"DELETE /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/delete-taxonomy-skills-skill-id"},{"title":"Update Skill","openapi":"PATCH /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/patch-taxonomy-skills-skill-id"}]},{"group":"Taxonomy operations","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/Taxonomy/overview"},{"title":"Get Taxonomy changes","openapi":"GET /taxonomy/changes","deprecated":true,"href":"/reference/latest/Taxonomy/Taxonomy/get-taxonomy-changes"},{"title":"Apply Taxonomy changes","openapi":"POST /taxonomy/apply","href":"/reference/latest/Taxonomy/Taxonomy/post-taxonomy-apply"}]}]},{"group":"Employees","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeCRUD/overview"},{"title":"List Employees","openapi":"GET /employees","description":"Get a list of all Employees available in the system. This can for example be used to keep track of proper synchronisation between your system and the Skill Engine API.","href":"/reference/latest/Employees/EmployeeCRUD/get-employees"},{"title":"Create Employee","openapi":"POST /employees","href":"/reference/latest/Employees/EmployeeCRUD/post-employees"},{"title":"Get Employee","openapi":"GET /employees/{external_id}","description":"Get the Employee information stored inside the system. As resumes are not stored inside our system, they are not returned in this call.","href":"/reference/latest/Employees/EmployeeCRUD/get-employees-external-id"},{"title":"Update Employee","openapi":"PATCH /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/patch-employees-external-id"},{"title":"Delete Employee","openapi":"DELETE /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/delete-employees-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for an Employee","openapi":"GET /employees/{external_id}/skill_profile","href":"/reference/latest/Employees/EmployeeProfile/get-employees-external-id-skill-profile"},{"title":"Partially update an Employee Skill Profile with feedback","openapi":"PATCH /employees/{external_id}/skill_profile","href":"/reference/latest/Employees/EmployeeProfile/patch-employees-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeMetrics/overview"},{"title":"Get Employee count","openapi":"GET /employees/metrics/count","href":"/reference/latest/Employees/EmployeeMetrics/get-employees-metrics-count"},{"title":"Get Employee adoption metrics","openapi":"POST /employees/metrics/adoption_metrics","href":"/reference/latest/Employees/EmployeeMetrics/post-employees-metrics-adoption-metrics"},{"title":"Get the employability metric using filters and weights","openapi":"POST /employees/{external_id}/metrics/employability","href":"/reference/latest/Employees/EmployeeMetrics/post-employees-external-id-metrics-employability"}]},{"group":"Search","pages":[{"title":"Search for Employees based on free text","openapi":"POST /employees/search","href":"/reference/latest/Employees/EmployeeSearch/post-employees-search"}]},{"group":"Skill Events","pages":[{"title":"Overview","href":"/reference/latest/Employees/SkillEvents/overview"},{"title":"List the Skill Event types","openapi":"GET /skill_event_types","href":"/reference/latest/Employees/SkillEvents/get-skill-event-types"},{"title":"List Skill Events of an Employee by event type","openapi":"GET /employees/{employee_external_id}/skill_events","href":"/reference/latest/Employees/SkillEvents/get-employees-employee-external-id-skill-events"},{"title":"Create a new Skill Event for an Employee","openapi":"POST /employees/{employee_external_id}/skill_events","href":"/reference/latest/Employees/SkillEvents/post-employees-employee-external-id-skill-events"},{"title":"Get a Skill Event","openapi":"GET /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/get-employees-employee-external-id-skill-events-skill-event-external-id"},{"title":"Update Skill Event","openapi":"PATCH /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/patch-employees-employee-external-id-skill-events-skill-event-external-id"},{"title":"Delete Skill Event","openapi":"DELETE /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/delete-employees-employee-external-id-skill-events-skill-event-external-id"}]},{"group":"Interactions","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeInteractions/overview"},{"title":"List Interactions of an Employee","openapi":"GET /employees/{employee_external_id}/interactions","href":"/reference/latest/Employees/EmployeeInteractions/get-employees-employee-external-id-interactions"},{"title":"Create a new Interaction for an Employee","openapi":"POST /employees/{employee_external_id}/interactions","href":"/reference/latest/Employees/EmployeeInteractions/post-employees-employee-external-id-interactions"},{"title":"Get Employee Interaction","openapi":"GET /employees/{employee_external_id}/interactions/{interaction_external_id}","href":"/reference/latest/Employees/EmployeeInteractions/get-employees-employee-external-id-interactions-interaction-external-id"},{"title":"Delete Employee Interaction","openapi":"DELETE /employees/{employee_external_id}/interactions/{interaction_external_id}","href":"/reference/latest/Employees/EmployeeInteractions/delete-employees-employee-external-id-interactions-interaction-external-id"}]},{"group":"Suggestions","pages":[{"title":"Get suggestions, validated and rejected Skills for selected Employees","openapi":"POST /employees/suggestions/skills","href":"/reference/latest/Employees/EmployeeSuggestions/post-employees-suggestions-skills"}]}]},{"group":"Job Families","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Job Families/JobFamilyCRUD/overview"},{"title":"List Job Families","openapi":"GET /job_architecture/job_families","href":"/reference/latest/Job Families/JobFamilyCRUD/get-job-architecture-job-families"},{"title":"Create Job Family","openapi":"POST /job_architecture/job_families","href":"/reference/latest/Job Families/JobFamilyCRUD/post-job-architecture-job-families"},{"title":"Get Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/get-job-architecture-job-families-job-family-external-id"},{"title":"Update Job Family","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/patch-job-architecture-job-families-job-family-external-id"},{"title":"Delete Job Family","openapi":"DELETE /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/delete-job-architecture-job-families-job-family-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}/skill_profile","href":"/reference/latest/Job Families/JobFamilyProfile/get-job-architecture-job-families-job-family-external-id-skill-profile"},{"title":"Partially update a Job Family Skill Profile with feedback","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile","href":"/reference/latest/Job Families/JobFamilyProfile/patch-job-architecture-job-families-job-family-external-id-skill-profile"},{"title":"Get the suggested Skill Profile for a Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile","deprecated":true,"href":"/reference/latest/Job Families/JobFamilyProfile/get-job-architecture-job-families-job-family-external-id-suggested-skill-profile"}]},{"group":"Job Family Profile Data","pages":[{"title":"Overview","href":"/reference/latest/Job Families/Job Family Profile Data/overview"},{"title":"List Job Family Profile Data","openapi":"GET /job_architecture/job_families/{job_family_external_id}/profile_data","href":"/reference/latest/Job Families/Job Family Profile Data/get-job-architecture-job-families-job-family-external-id-profile-data"},{"title":"Create Job Family Profile Data for a Job Family","openapi":"POST /job_architecture/job_families/{job_family_external_id}/profile_data","href":"/reference/latest/Job Families/Job Family Profile Data/post-job-architecture-job-families-job-family-external-id-profile-data"},{"title":"Get Job Family Profile Data","openapi":"GET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/get-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},{"title":"Update Job Family Profile Data","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},{"title":"Delete Job Family Profile Data for a Job Family","openapi":"DELETE /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/delete-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"}]}]},{"group":"Jobs","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobCRUD/overview"},{"title":"List Jobs","openapi":"GET /job_architecture/jobs","href":"/reference/latest/Jobs/JobCRUD/get-job-architecture-jobs"},{"title":"Create Job","openapi":"POST /job_architecture/jobs","href":"/reference/latest/Jobs/JobCRUD/post-job-architecture-jobs"},{"title":"Get Job","openapi":"GET /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/get-job-architecture-jobs-job-external-id"},{"title":"Update Job","openapi":"PATCH /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/patch-job-architecture-jobs-job-external-id"},{"title":"Delete Job","openapi":"DELETE /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/delete-job-architecture-jobs-job-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/skill_profile","href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-skill-profile"},{"title":"Partially update a Job Skill Profile with feedback","openapi":"PATCH /job_architecture/jobs/{job_external_id}/skill_profile","href":"/reference/latest/Jobs/JobProfile/patch-job-architecture-jobs-job-external-id-skill-profile"},{"title":"Get the suggested Skill Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile","deprecated":true,"href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-suggested-skill-profile"},{"title":"Get the external market Skill Profiles of a Job.","openapi":"GET /job_architecture/jobs/{job_external_id}/market_skill_profiles","href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-market-skill-profiles"}]},{"group":"Task Profile","pages":[{"title":"Get the Task Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/task_profile","href":"/reference/latest/Jobs/JobTaskProfile/get-job-architecture-jobs-job-external-id-task-profile"},{"title":"Provide feedback on tasks in a Job's Task Profile","openapi":"PATCH /job_architecture/jobs/{job_external_id}/task_profile","href":"/reference/latest/Jobs/JobTaskProfile/patch-job-architecture-jobs-job-external-id-task-profile"}]},{"group":"Job Profile Data","pages":[{"title":"Overview","href":"/reference/latest/Jobs/Job Profile Data/overview"},{"title":"List Job Profile Data","openapi":"GET /job_architecture/jobs/{job_external_id}/profile_data","href":"/reference/latest/Jobs/Job Profile Data/get-job-architecture-jobs-job-external-id-profile-data"},{"title":"Create Job Profile Data for a Job","openapi":"POST /job_architecture/jobs/{job_external_id}/profile_data","href":"/reference/latest/Jobs/Job Profile Data/post-job-architecture-jobs-job-external-id-profile-data"},{"title":"Get Job Profile Data","openapi":"GET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/get-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"},{"title":"Update Job Profile Data","openapi":"PATCH /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/patch-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"},{"title":"Delete Job Profile Data for a Job","openapi":"DELETE /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/delete-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"}]},{"group":"Issues","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobIssues/overview"},{"title":"List Job Issues","openapi":"GET /job_architecture/issues","href":"/reference/latest/Jobs/JobIssues/get-job-architecture-issues"},{"title":"Job Issue Summary","openapi":"GET /job_architecture/issues/summary","href":"/reference/latest/Jobs/JobIssues/get-job-architecture-issues-summary"}]},{"group":"Changes","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobChanges/overview"},{"title":"List Job Architecture Changes","openapi":"GET /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes"},{"title":"Bulk generate Job changes","openapi":"POST /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/post-job-architecture-changes"},{"title":"Bulk Update Job Architecture Changes","openapi":"PATCH /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/patch-job-architecture-changes"},{"title":"Generate preview Job change","openapi":"POST /job_architecture/changes/preview","href":"/reference/latest/Jobs/JobChanges/post-job-architecture-changes-preview"},{"title":"Get Job Architecture Changes Summary","openapi":"GET /job_architecture/changes/summary","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes-summary"},{"title":"Get Job Architecture Change Details","openapi":"GET /job_architecture/changes/{change_id}","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes-change-id"},{"title":"Update Job Architecture Change","openapi":"PATCH /job_architecture/changes/{change_id}","href":"/reference/latest/Jobs/JobChanges/patch-job-architecture-changes-change-id"}]},{"group":"Suggestions","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobSuggestions/overview"},{"title":"Bulk Accept or Reject Job Architecture Suggestions","openapi":"POST /job_architecture/suggestions/interactions","href":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobMetrics/overview"},{"title":"Get Job adoption metrics","openapi":"POST /job_architecture/jobs/metrics/adoption_metrics","href":"/reference/latest/Jobs/JobMetrics/post-job-architecture-jobs-metrics-adoption-metrics"}]}]},{"group":"Peer Groups","pages":[{"group":"Peer Groups","pages":[{"title":"Overview","href":"/reference/latest/Peer Groups/PeerGroups/overview"},{"title":"List Peer Groups","openapi":"GET /job_architecture/peer_groups","href":"/reference/latest/Peer Groups/PeerGroups/get-job-architecture-peer-groups"}]}]},{"group":"Vacancies","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Vacancies/VacancyCRUD/overview"},{"title":"List Vacancies","openapi":"GET /vacancies","href":"/reference/latest/Vacancies/VacancyCRUD/get-vacancies"},{"title":"Create Vacancy","openapi":"POST /vacancies","href":"/reference/latest/Vacancies/VacancyCRUD/post-vacancies"},{"title":"Get Vacancy","openapi":"GET /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/get-vacancies-external-id"},{"title":"Update Vacancy","openapi":"PATCH /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/patch-vacancies-external-id"},{"title":"Delete Vacancy","openapi":"DELETE /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/delete-vacancies-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Vacancy","openapi":"GET /vacancies/{external_id}/skill_profile","href":"/reference/latest/Vacancies/VacancyProfile/get-vacancies-external-id-skill-profile"},{"title":"Update a Vacancy Skill Profile with feedback","openapi":"PATCH /vacancies/{external_id}/skill_profile","href":"/reference/latest/Vacancies/VacancyProfile/patch-vacancies-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Vacancies/VacancyMetrics/overview"},{"title":"Get Vacancy count","openapi":"GET /vacancies/metrics/count","href":"/reference/latest/Vacancies/VacancyMetrics/get-vacancies-metrics-count"}]},{"group":"Search","pages":[{"title":"Search for Vacancies based on free text","openapi":"POST /vacanies/search","href":"/reference/latest/Vacancies/VacancySearch/post-vacanies-search"}]}]},{"group":"Courses","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Courses/CourseCRUD/overview"},{"title":"List Courses","openapi":"GET /courses","href":"/reference/latest/Courses/CourseCRUD/get-courses"},{"title":"Create Course","openapi":"POST /courses","href":"/reference/latest/Courses/CourseCRUD/post-courses"},{"title":"Get Course","openapi":"GET /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/get-courses-external-id"},{"title":"Update Course","openapi":"PATCH /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/patch-courses-external-id"},{"title":"Delete Course","openapi":"DELETE /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/delete-courses-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Course","openapi":"GET /courses/{external_id}/skill_profile","href":"/reference/latest/Courses/CourseProfile/get-courses-external-id-skill-profile"},{"title":"Update a Course Skill Profile with feedback","openapi":"PATCH /courses/{external_id}/skill_profile","href":"/reference/latest/Courses/CourseProfile/patch-courses-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Courses/CourseMetrics/overview"},{"title":"Get Course count","openapi":"GET /courses/metrics/count","href":"/reference/latest/Courses/CourseMetrics/get-courses-metrics-count"}]}]},{"group":"Skill Clusters","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Skill Clusters/SkillClusterCRUD/overview"},{"title":"List Skill Clusters","openapi":"GET /skill_clusters","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterCRUD/get-skill-clusters"},{"title":"Get Skill Cluster","openapi":"GET /skill_clusters/{external_id}","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterCRUD/get-skill-clusters-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Skill Cluster","openapi":"GET /skill_clusters/{external_id}/skill_profile","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterProfile/get-skill-clusters-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Skill Clusters/SkillClusterMetrics/overview"},{"title":"Get Skill Cluster count","openapi":"GET /skill_clusters/metrics/count","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterMetrics/get-skill-clusters-metrics-count"}]}]},{"group":"External Companies","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/External Companies/CompanyCRUD/overview"},{"title":"List External Companies","openapi":"GET /companies","href":"/reference/latest/External Companies/CompanyCRUD/get-companies"},{"title":"Create External Company","openapi":"POST /companies","href":"/reference/latest/External Companies/CompanyCRUD/post-companies"},{"title":"Get External Company","openapi":"GET /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/get-companies-external-id"},{"title":"Update External Company","openapi":"PATCH /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/patch-companies-external-id"},{"title":"Delete External Company","openapi":"DELETE /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/delete-companies-external-id"},{"title":"List External Company's Vacancies","openapi":"GET /companies/{external_id}/vacancies","href":"/reference/latest/External Companies/CompanyCRUD/get-companies-external-id-vacancies"},{"title":"Upload and add desired functions","openapi":"POST /companies/{external_id}/desired_functions","href":"/reference/latest/External Companies/CompanyCRUD/post-companies-external-id-desired-functions"},{"title":"Replace existing desired functions","openapi":"PUT /companies/{external_id}/desired_functions","href":"/reference/latest/External Companies/CompanyCRUD/put-companies-external-id-desired-functions"},{"title":"Profile External Company's hiring activity with NACE-codes","openapi":"POST /companies/{external_id}/nace","href":"/reference/latest/External Companies/CompanyCRUD/post-companies-external-id-nace"},{"title":"Reprofile External Company's hiring activity with NACE-codes","openapi":"PUT /companies/{external_id}/nace","href":"/reference/latest/External Companies/CompanyCRUD/put-companies-external-id-nace"}]},{"group":"Search","pages":[{"title":"Search for External Companies based on free text","openapi":"POST /companies/search","href":"/reference/latest/External Companies/CompanySearch/post-companies-search"}]}]},{"group":"Skills","pages":[{"group":"Skill Search","pages":[{"title":"Search for Skills similar to the text provided","openapi":"GET /skills/search","href":"/reference/latest/Skills/Skill Search/get-skills-search"}]},{"group":"Skill Gaps","pages":[{"title":"Get the Skillgap between an Employee and a Vacancy","openapi":"GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/gap","href":"/reference/latest/Skills/Skill Gaps/get-employees-employee-external-id-vacancies-vacancy-external-id-gap"}]},{"group":"Skill Lookup","pages":[{"title":"Look up the Skill IDs of a list of Skill names","openapi":"POST /skills/lookup","href":"/reference/latest/Skills/Skill Lookup/post-skills-lookup"}]}]},{"group":"Tasks","pages":[{"group":"CRUD","pages":[{"title":"Create a custom task","openapi":"POST /tasks","href":"/reference/latest/Tasks/TasksCRUD/post-tasks"},{"title":"Get a Task","openapi":"GET /tasks/{task_id}","href":"/reference/latest/Tasks/TasksCRUD/get-tasks-task-id"},{"title":"Delete a custom Task","openapi":"DELETE /tasks/{task_id}","href":"/reference/latest/Tasks/TasksCRUD/delete-tasks-task-id"}]},{"group":"Task search","pages":[{"title":"Search Tasks","openapi":"GET /tasks/search","href":"/reference/latest/Tasks/TaskSearch/get-tasks-search"}]},{"group":"Task validation","pages":[{"title":"Validate Tasks","openapi":"POST /tasks/validate","href":"/reference/latest/Tasks/TaskValidation/post-tasks-validate"}]}]},{"group":"Organisational Structure","pages":[{"group":"Organisational Units","pages":[{"title":"Overview","href":"/reference/latest/Organisational Structure/OrganisationalUnits/overview"},{"title":"List Organisational Units","openapi":"GET /organisational_units","href":"/reference/latest/Organisational Structure/OrganisationalUnits/get-organisational-units"},{"title":"Create Organisational Unit","openapi":"POST /organisational_units","href":"/reference/latest/Organisational Structure/OrganisationalUnits/post-organisational-units"},{"title":"Get Organisational Unit","openapi":"GET /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/get-organisational-units-external-id"},{"title":"Update Organisational Unit","openapi":"PATCH /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/patch-organisational-units-external-id"},{"title":"Delete Organisational Unit","openapi":"DELETE /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/delete-organisational-units-external-id"}]}]},{"group":"Custom Properties","pages":[{"group":"Definitions","pages":[{"title":"Overview","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/overview"},{"title":"Get all Custom Property Definitions","openapi":"GET /{entity_type}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/get-entity-type-custom-properties"},{"title":"Create a Custom Property Definition","openapi":"POST /{entity_type}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/post-entity-type-custom-properties"},{"title":"Get Custom Property Definition","openapi":"GET /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/get-entity-type-custom-properties-property-name"},{"title":"Rename a Custom Property Definition","openapi":"PATCH /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/patch-entity-type-custom-properties-property-name"}
[...]
